#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 idris
version:              1.3.2
visibility:           public
id:                   idris-1.3.2-DQtRNK2AvcK6fwlfybvqZ3
key:                  idris-1.3.2-DQtRNK2AvcK6fwlfybvqZ3
license:              BSD-3-Clause
maintainer:           Edwin Brady <eb@cs.st-andrews.ac.uk>
author:               Edwin Brady
stability:            Beta
homepage:             http://www.idris-lang.org/
synopsis:             Functional Programming Language with Dependent Types
description:
    Idris is a general purpose language with full dependent types.
    It is compiled, with eager evaluation.
    Dependent types allow types to be predicated on values,
    meaning that some aspects of a program'\''s behaviour can be
    specified precisely in the type. The language is closely
    related to Epigram and Agda. There is a tutorial at
    <http://www.idris-lang.org/documentation>.
    Features include:

    * Full, first class, dependent types with dependent pattern matching

    * where clauses, with rule, case expressions,
    pattern matching let and lambda bindings

    * Interfaces (similar to type classes), monad comprehensions

    * do notation, idiom brackets, syntactic conveniences for lists,
    tuples, dependent pairs

    * Totality checking

    * Coinductive types

    * Indentation significant syntax, extensible syntax

    * Cumulative universes

    * Simple foreign function interface (to C)

    * Hugs style interactive environment

category:             Compilers/Interpreters, Dependent Types
abi:                  647039260ef87dd1d6428cff11bb2e03
exposed:              True
exposed-modules:
    IRTS.Bytecode IRTS.CodegenC IRTS.CodegenCommon
    IRTS.CodegenJavaScript IRTS.Compiler IRTS.Defunctionalise
    IRTS.DumpBC IRTS.Exports IRTS.Inliner IRTS.JavaScript.AST
    IRTS.JavaScript.Codegen IRTS.JavaScript.LangTransforms
    IRTS.JavaScript.Name IRTS.JavaScript.PrimOp
    IRTS.JavaScript.Specialize IRTS.Lang IRTS.LangOpts IRTS.Portable
    IRTS.Simplified IRTS.System Idris.ASTUtils Idris.AbsSyntax
    Idris.AbsSyntaxTree Idris.Apropos Idris.CaseSplit Idris.Chaser
    Idris.CmdOptions Idris.Colours Idris.Completion Idris.Core.Binary
    Idris.Core.CaseTree Idris.Core.Constraints Idris.Core.DeepSeq
    Idris.Core.Elaborate Idris.Core.Evaluate Idris.Core.Execute
    Idris.Core.ProofState Idris.Core.ProofTerm Idris.Core.TT
    Idris.Core.Typecheck Idris.Core.Unify Idris.Core.WHNF
    Idris.Coverage Idris.DSL Idris.DataOpts Idris.DeepSeq
    Idris.Delaborate Idris.Directives Idris.Docs Idris.Docstrings
    Idris.Elab.AsPat Idris.Elab.Clause Idris.Elab.Data
    Idris.Elab.Implementation Idris.Elab.Interface Idris.Elab.Provider
    Idris.Elab.Quasiquote Idris.Elab.Record Idris.Elab.Rewrite
    Idris.Elab.RunElab Idris.Elab.Term Idris.Elab.Transform
    Idris.Elab.Type Idris.Elab.Utils Idris.Elab.Value Idris.ElabDecls
    Idris.Erasure Idris.ErrReverse Idris.Error Idris.Help Idris.IBC
    Idris.IdeMode Idris.IdrisDoc Idris.Imports Idris.Info
    Idris.Info.Show Idris.Inliner Idris.Interactive Idris.Main
    Idris.ModeCommon Idris.Options Idris.Output Idris.Package
    Idris.Package.Common Idris.Package.Parser Idris.Parser
    Idris.Parser.Data Idris.Parser.Expr Idris.Parser.Helpers
    Idris.Parser.Ops Idris.Parser.Stack Idris.PartialEval
    Idris.Primitives Idris.ProofSearch Idris.Prover Idris.Providers
    Idris.REPL Idris.REPL.Browse Idris.REPL.Commands Idris.REPL.Parser
    Idris.Reflection Idris.Termination Idris.Transforms
    Idris.TypeSearch Idris.Unlit Idris.WhoCalls Util.DynamicLinker
    Util.ScreenSize Util.System

hidden-modules:
    Util.Pretty Util.Net Paths_idris Version_idris Tools_idris
    BuildFlags_idris

import-dirs:          /usr/lib/ghc-8.8.3/site-local/idris-1.3.2
library-dirs:         /usr/lib/ghc-8.8.3/site-local/idris-1.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/idris
hs-libraries:         HSidris-1.3.2-DQtRNK2AvcK6fwlfybvqZ3
extra-libraries:      gmp
depends:
    aeson-1.4.7.1-D2ldL4AX1zOJH6OUZhNdCi
    annotated-wl-pprint-0.7.0-GnwGLTLAoUz1b9IARtaRpM
    ansi-terminal-0.10.3-E9f5lPr75erGIbzW4It0dA
    ansi-wl-pprint-0.6.9-LtWKTWHyB8p3BwKfdIJV1c array-0.5.4.0
    async-2.2.2-3PY2B7ah6NqF6HAjQ6YlVT base-4.13.0.0
    base64-bytestring-1.0.0.3-DTCbOaco5j9FDaHscqEylF binary-0.8.7.0
    blaze-html-0.9.1.2-5SOQeKwiKRaDWK8K92Y56k
    blaze-markup-0.8.2.4-JyeEz8woeul42iAs1i68u0 bytestring-0.10.10.0
    cheapskate-0.1.1.2-LYwebw7hntm3ADWVllmFq8
    code-page-0.2-3ZPLxXkH34R4zgabU0YisI containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.6.0 filepath-1.4.2.1
    fingertree-0.1.4.2-9TjJZHg3nEwB5jcFjXj1PI
    fsnotify-0.3.0.1-ImJUpYSMs6iLnFI5DrsXHT haskeline-0.7.5.0
    ieee754-0.8.0-EXeeyTii0hq1uhkX1pvfZc
    libffi-0.1-5FWdBJ1jvy6GIUKiwt0Ewx
    megaparsec-8.0.0-5WXECwyMJxvIYZsEBaAJw8 mtl-2.2.2
    network-3.1.1.1-5FgtrTFHUQaFQhXHTS1i9u
    optparse-applicative-0.15.1.0-6HKlOdxzy2t58xVQgRvVIN
    parser-combinators-1.2.1-IRMw0PVyjClCzP4SjVbI21 pretty-1.1.3.6
    process-1.6.8.0 regex-tdfa-1.3.1.0-2thRUVc0Ew7ZsITrBIZey
    safe-0.3.18-77EtIZs3AFB4iOmOvdspYk
    split-0.2.3.4-2SLh24GWGfv9bpFm6zqb4X
    terminal-size-0.3.2.1-Lp3EPz6AmPvE7uvVvixMVf text-1.2.4.0
    time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.12-KnNZixbpwrc4k6zP1O1Zb5 unix-2.7.2.2
    unordered-containers-0.2.10.0-A1cNogzO5wQ33Xk0bjeyDo
    utf8-string-1.0.1.1-IRxNMq5AVf036EceEkASq3
    vector-0.12.1.2-C2W44iPdAFeHo4yLU081Gd
    vector-binary-instances-0.2.5.1-5AtgwmXON0w4hcU2YWdJ1W
    zip-archive-0.4.1-6dxYk3kYGSJKBzqhOpExr

haddock-interfaces:   /usr/share/doc/idris/html/idris.haddock
haddock-html:         /usr/share/doc/idris/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

